import requests

postal_code = input("検索したい地域の郵便番号（-なし）を入力してください=>")

# 出典:「位置参照情報」(国土交通省)の加工情報・「HeartRails Geo API」(HeartRails Inc.)
url = "https://geoapi.heartrails.com/api/json?method=searchByPostal&postal=" + postal_code

response = requests.get(url)
locations = response.json()["response"].get("location")

if locations != None:
    for location in locations:
        print(location["city"] + location["town"])
else:
    print("住所が見つかりません")